# Record Class DecoderEntry

java.lang.Object
java.lang.Record
org.apache.tomcat.websocket.DecoderEntry

public record DecoderEntry(Class<?> clazz, Class<? extends Decoder> decoderClazz) extends Record

## Constructor Summary

Constructors
Constructor
Description
`DecoderEntry(Class<?> clazz, Class<? extends Decoder> decoderClazz)`
Creates an instance of a `DecoderEntry` record class.

## Method Summary

Modifier and Type
Method
Description
`Class<?>`
`clazz()`
Returns the value of the `clazz` record component.
`Class<? extends Decoder>`
`decoderClazz()`
Returns the value of the `decoderClazz` record component.
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`final int`
`hashCode()`
Returns a hash code value for this object.
`final String`
`toString()`
Returns a string representation of this record class.

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DecoderEntry

public DecoderEntry(Class<?> clazz, Class<? extends Decoder> decoderClazz)
Creates an instance of a `DecoderEntry` record class.

Parameters:
  `clazz` - the value for the `clazz` record component
  `decoderClazz` - the value for the `decoderClazz` record component

## Method Details

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### clazz

public Class<?> clazz()
Returns the value of the `clazz` record component.

Returns:
  the value of the `clazz` record component

### decoderClazz

public Class<? extends Decoder> decoderClazz()
Returns the value of the `decoderClazz` record component.

Returns:
  the value of the `decoderClazz` record component